<?php

# ***** BEGIN LICENSE BLOCK *****
# This file is part of linkSwitcher plugin for DotClear 1.2.3.
# Copyright (c) 2006 Mikal Pirio and contributors. All rights
# reserved.
#
# linkSwitcher is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# as published by the Free Software Foundation.
#
# linkSwitcher is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with linkSwitcher; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****

function linkSwitcher_error($error) {
	buffer::str('<div class="error">'.__('ERROR:').' '.$error.'</div>');
}


function linkSwitcher_form_config(){
	global $url;

	$LS_ACTIVE_JS    = (defined('LS_ACTIVE_JS'))    ? LS_ACTIVE_JS    : '';
	$LS_FIRST        = (defined('LS_FIRST'))        ? LS_FIRST        : '';
	$LS_LABEL_SUBMIT = (defined('LS_LABEL_SUBMIT')) ? LS_LABEL_SUBMIT : '';

	buffer::str('<h3>'.__('linkSwitcher Configuration').'</h3>');

	buffer::str('<form action="'.$url.'" method="post">');

	# checkbox : linkSwitcher_activejs
	buffer::str('<p>'.form::checkbox('linkSwitcher_activejs','true',$LS_ACTIVE_JS,'','linkSwitcher_activejs').
	            __('Activate linkSwitcher Javascript').' '.
	            helpLink('linkSwitcher_config&plugin=linkSwitcher','linkSwitcher_activejs').
	            '</label>'.'</p>');

	# field : linkSwitcher_LS_FIRST
	buffer::str('<p>'.
	            '<label for="linkSwitcher_LS_FIRST">'.
	            '<strong>'.__('linkSwitcher LS_FIRST value').'&nbsp;: </strong> '.
	            helpLink('linkSwitcher_config&plugin=linkSwitcher','linkSwitcher_LS_FIRST').
	            '</label>'.
	            form::field('linkSwitcher_LS_FIRST',40,255,$LS_FIRST,'','class="max"').
	            '</p>');

	# field : linkSwitcher_labelsubmit
	buffer::str('<p>'.
	            '<label for="linkSwitcher_labelsubmit">'.
	            '<strong>'.__('linkSwitcher submit button label').'&nbsp;: </strong> '.
	            helpLink('linkSwitcher_config&plugin=linkSwitcher','linkSwitcher_labelsubmit').
	            '</label>'.
	            form::field('linkSwitcher_labelsubmit',40,255,$LS_LABEL_SUBMIT,'','class="max"').
	            '</p>');

	buffer::str('<br />');

	buffer::str('<p><input class="submit" type="submit" name="submit" value="'.
	            __('save').'" /></p>');
	buffer::str(form::hidden('updConfig','true'));
	# ajout du None pour compatibilit avec DC1.2.7
	buffer::str('<p>'.dcNonce::form().'</p>');
	buffer::str('</form>');

}


function linkSwitcher_save_config(){
	global $linkSwitcher_config;

	$linkSwitcher_activejs    = (!empty($_POST['linkSwitcher_activejs']))    ? $_POST['linkSwitcher_activejs']    : 'false';
	$linkSwitcher_LS_FIRST       = (!empty($_POST['linkSwitcher_LS_FIRST']))       ? $_POST['linkSwitcher_LS_FIRST']       : '---';
	$linkSwitcher_labelsubmit = (!empty($_POST['linkSwitcher_labelsubmit'])) ? $_POST['linkSwitcher_labelsubmit'] : 'Go';

	$linkSwitcher_config->editVar('LS_ACTIVE_JS', $linkSwitcher_activejs);
	$linkSwitcher_config->editVar('LS_FIRST', $linkSwitcher_LS_FIRST);
	$linkSwitcher_config->editVar('LS_LABEL_SUBMIT', $linkSwitcher_labelsubmit);

	if( $linkSwitcher_config->saveFile() ){
		buffer::str('<p>'.__('Configuration saved.').'</p>');
		linkSwitcher_help();
	}
	else {
		linkSwitcher_error(__('Impossible to write in configuration file.'));
	}
}


function linkSwitcher_help() {
	buffer::str('<fieldset class="clear"><legend>'.__('Modify your template.php').'</legend>');

	buffer::str('<p>'.__('To use linkSwitcher, it\'s very simple:').'</p>');

	buffer::str('<ol><li>'.__('Find in your template.php the bloc about the links:'));


	buffer::str('<div class="code">');
	buffer::str(htmlspecialchars('<div id="links">').'<br />');
	buffer::str('&nbsp;&nbsp;&nbsp;&nbsp;'.htmlspecialchars('<h2>'.__('Links').'</h2>').'<br />');
	buffer::str('&nbsp;&nbsp;&nbsp;&nbsp;'.htmlspecialchars('<?php dcBlogroll::linkList(); ?>').'<br />');
	buffer::str(htmlspecialchars('</div>'));
	buffer::str('</div>');

	buffer::str('<p>'.__('And remplace it by:').'</p>');

	buffer::str('<div class="code">');
	buffer::str(htmlspecialchars('<div id="links">').'<br />');
	buffer::str('&nbsp;&nbsp;&nbsp;&nbsp;'.htmlspecialchars('<h2>'.__('Links').'</h2>').'<br />');
	buffer::str('&nbsp;&nbsp;&nbsp;&nbsp;<b>'.htmlspecialchars('<?php linkSwitcher::linkList(); ?>').'</b><br />');
	buffer::str(htmlspecialchars('</div>'));
	buffer::str('</div>');

	buffer::str('</li>');

	buffer::str('<li>'.__('Find in your template.php this line (in head bloc):'));

	buffer::str('<div class="code">');
	buffer::str(htmlspecialchars('<link rel="stylesheet" type="text/css" href="<?php dcInfo(\'theme\'); ?>/style.css" media="screen" />'));
	buffer::str('</div>');

	buffer::str('<p>'.__('And add this line (in bold):').'</p>');

	buffer::str('<div class="code">');
	buffer::str(htmlspecialchars('<link rel="stylesheet" type="text/css" href="<?php dcInfo(\'theme\'); ?>/style.css" media="screen" />').'<br />');
	buffer::str('<b>'.htmlspecialchars('<?php linkSwitcher::hideSubmitButton(); ?>').'</b>');
	buffer::str('</div>');

	buffer::str('</li>');

	buffer::str('</ol>');

	buffer::str('</fieldset>');


	buffer::str('<fieldset class="clear"><legend>'.__('How linkSwitcher works (parameters and Co)').'</legend>');

	buffer::str('<p>'.__('linkSwitcher::linkList() works like dcBlogroll::linkList() by default.').'</p>');
	buffer::str('<p>'.__('Links that are not in the drop-down list are print like with dcBlogroll::linkList().').'</p>');
	buffer::str('<p>'.__('Links categories are recognized and automatically managed by linkSwitcher.').'</p>');

	buffer::str('<p>'.__('But it accept parameters').' :D. '.__('You can give it an array with the links to include in the drop-down list.').' '.
		__('This array must contain the url of the link.').'</p>');

	buffer::str('<br />');

	buffer::str('<p>'.__('Take this list of links and categories for example:').'</p>');
	buffer::str('<ul>');
	buffer::str('<li>DotClear (http://www.dotclear.net)</li>');
	buffer::str('<li>Google fr (http://www.google.fr)</li>');
	buffer::str('<li>Linux<ul>');
	buffer::str('<li>LinuxFr (http://www.linuxfr.org)</li>');
	buffer::str('<li>LinuxGraphic.org (http://www.linuxgraphic.org)</li>');
	buffer::str('</ul></li>');
	buffer::str('<li>Blogs<ul>');
	buffer::str('<li>Olivier (http://www.neokraft.net)</li>');
	buffer::str('<li>Kozlika (http://www.kozlika.org)</li>');
	buffer::str('<li>Pep (http://www.callmepep.org/blog/)</li>');
	buffer::str('</ul></li>');
	buffer::str('</ul>');

	buffer::str('<p>'.__('If you want to include "DotClear" and "LinuxFr" links in your drop-down list, you\'ll use:').'</p>');

	buffer::str('<div class="code">');
	buffer::str(htmlspecialchars('<?php linkSwitcher::linkList( array(\'http://www.dotclear.net\',\'http://www.linuxfr.org\') ); ?>'));
	buffer::str('</div>');

	buffer::str('<p>'.__('But it\'s not all folks !').' '.__('You can use regular expressions.').' '.__('For example, if you want to include all links with \'.org\' in your drop-down list, you\'ll use:').'</p>');

	buffer::str('<div class="code">');
	buffer::str(htmlspecialchars('<?php linkSwitcher::linkList( \'\.org\', true ); ?>'));
	buffer::str('</div>');

	buffer::str('<p>'.__('The second parameter active the regex mode (false by default)').'</p>');

	buffer::str('<p>'.__('If you want to include all links in your drop-down list, linkSwitcher use a special parameter:').'</p>');

	buffer::str('<div class="code">');
	buffer::str(htmlspecialchars('<?php linkSwitcher::linkList( \'ALL\' ); ?>'));
	buffer::str('</div>');


	buffer::str('<br />');

	buffer::str('<p>'.__('You can format the links bloc.').' '.__('For example:').'</p>');

	buffer::str('<div class="code">');
	buffer::str(htmlspecialchars('<?php linkSwitcher::catList( \'\.org\', true, \'<div>%1$s</div><div>.org links : %2$s</div>\', \'<h3>%s</h3>\',\'<ul>%s</ul>\', \'<li>%s</li>\' ); ?>'));
	buffer::str('</div>');

	buffer::str('<ul><li>');
	buffer::str('<b>\''.htmlspecialchars('<div>%1$s</div><div>.org links : %2$s</div>').'\'</b> '.__('is the entiere links bloc, with simple list and drop-down list').'. '.
		__('The first %1$s is the simple list.').' '.__('The second %2$s is the drop-down list.').'</li>');
	buffer::str('<li><b>\''.htmlspecialchars('<h3>%s</h3>').'\'</b> '.__('is the format of a category like in the function dcBlogroll::linkList()').'.</li>');
	buffer::str('<li><b>\''.htmlspecialchars('<ul>%s</ul>').'\'</b> '.__('and').' <b>\''.htmlspecialchars('<li>%s</li>').'\'</b> '.__('is the simple list format like in the function dcBlogroll::linkList()').'.</li></ul>');

	buffer::str('</fieldset>');
}

?>
