<?php

# ***** BEGIN LICENSE BLOCK *****
# This file is part of linkSwitcher plugin for DotClear 1.2.3.
# Copyright (c) 2006 Mikal Pirio and contributors. All rights
# reserved.
#
# linkSwitcher is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# as published by the Free Software Foundation.
#
# linkSwitcher is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with linkSwitcher; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****

$error = '';

# configuration de linkSwitcher
require_once $_SERVER['DOCUMENT_ROOT'].'/'.dc_app_url.'/inc/classes/class.ini.file.php';

# petite correction de la mthode files::makeDir de faon  ce que cette dernire
# renvoie true si tout est OK. Par dfaut elle ne renvoie rien si tout est OK et
# FALSE s'il y a un pb lors du mkdir...
function makeDir($f){
		if (@mkdir($f,fileperms(dirname($f))) === false) {
			return false;
		}
		
		return @chmod($f,fileperms(dirname($f)));
}


$linkSwitcher_config_file = DC_SHARE_DIR.'/linkSwitcher/linkSwitcher.conf';

$os = (DIRECTORY_SEPARATOR == '\\') ? 'win' : 'nix';
		
# Transformation du chemin, forme std
if ($os == 'win') $linkSwitcher_config_file = str_replace('/','\\',$linkSwitcher_config_file);

# cration du rpertoire
if (!file_exists(dirname($linkSwitcher_config_file))) {
	if ( !makeDir(dirname($linkSwitcher_config_file)) ) {
		$error = sprintf(__('Immpossible to create %s directory.'),dirname($linkSwitcher_config_file));
	}
}

# cration du fichier de conf de base
if ($error == '' && !file_exists($linkSwitcher_config_file)) {
	if ( !touch($linkSwitcher_config_file) ) {
		$error = sprintf(__('Impossible to create %s configuration file.'), $linkSwitcher_config_file);
	}
	else {
		$fp = fopen($linkSwitcher_config_file, 'w');
		if ( !fwrite($fp, 'LS_ACTIVE_JS = true'."\n".'LS_FIRST = ---'."\n".'LS_LABEL_SUBMIT = Go') ){
			$error = __('Impossible to write in configuration file.');
		}
	}
}

if ($error == '') {
	$linkSwitcher_config = new iniFile($linkSwitcher_config_file);
	$linkSwitcher_config->read($linkSwitcher_config_file);
	if ( !defined('LS_ACTIVE_JS') ) {
		$error = sprintf(__('Bad configuration file: no %s option defined.'), 'LS_ACTIVE_JS');
	}
	elseif ( !defined('LS_FIRST') ) {
		$error = sprintf(__('Bad configuration file: no %s option defined.'), 'LS_FIRST');
	}
	elseif ( !defined('LS_LABEL_SUBMIT') ) {
		$error = sprintf(__('Bad configuration file: no %s option defined.'), 'LS_LABEL_SUBMIT');
	}
}


# Rcupration du fichier de langue pour la page Help
#if (dc_encoding == 'UTF-8') {
#        l10n::set(dirname(__FILE__).'/l10n/'.DC_LANG.'-utf8/help');
#}
#else {
#        l10n::set(dirname(__FILE__).'/l10n/'.DC_LANG.'/help');
#}


# les fonctions pour l'interface admin
#require_once dirname(__FILE__).'/inc/function_admin.php';
require_once 'inc/admin_functions.php';

# style supplmentaire pour l'interface admin
$PLUGIN_HEAD =  '  <style type="text/css"> @import "tools/linkSwitcher/main.css"; </style>'."\n";

$url = 'tools.php?p=linkSwitcher';

# pour l'affichage de la page de configuration de linkSwitcher
$config = (!empty($_GET['config'])) ? $_GET['config'] : '';

# pour l'enregistrement de la configuration
$updConfig = (!empty($_POST['updConfig'])) ? $_POST['updConfig'] : 'false';

# pour l'affichage de la page d'aide
$help = (!empty($_GET['help'])) ? $_GET['help'] : '';

# page d'aide affiche par dfaut
if ($config=='' && $updConfig == 'false') $help = '1';

$version = $plugins_list['linkSwitcher']['version'];


# titre de la page d'administration du plugin linkSwitcher 
buffer::str('<h2>linkSwitcher '.$version.'</h2>');


# le menu de linkSwitcher
buffer::str('<div id="menu">'.
    '<a href="'.$url.'&config=1" '.(($config!='') ? 'id=selected':'').' >'.__('Configuration').'</a>'.
    '<a href="'.$url.'&help=1" '.(($help!='') ? 'id=selected':'').' >'.__('Help').'</a>'.
    '</div>');
buffer::str('<br />');



if ( $error != '' ) {
  linkSwitcher_error($error);
}
else {
    if ($config == '1') {
      linkSwitcher_form_config();
    }

    # sinon on enregistre la configuration
    elseif ($updConfig == 'true') {
      linkSwitcher_save_config();
    }

    # sinon on affiche l'aide de linkSwitcher
    elseif ($help == '1') {
      linkSwitcher_help();
    }
}

?>